import losses.gf_loss


class LossFunctionFactory:
    @staticmethod
    def create(function_name):
        if function_name == "gf_loss":
            return losses.gf_loss.compute_loss
        else:
            raise ValueError("Unknown loss function {}".format(function_name))


''' ------------ Debug ------------ '''
if __name__ == "__main__":
    from configs.config import ConfigManager

    ConfigManager.load_config_with('../configs/local_train_config.yaml')
    ConfigManager.print_config()
